commit: 54de63c6c2dd8a6ebbfa7a55e8a5a5d60f4f1d51
Author: Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Tue Apr 11 00:50:16 2023 +0000
Commit: Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Tue Apr 11 00:50:22 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=54de63c6
dev-python/zope-testrunner: add 6.0
use pypi.eclass
Signed-off-by: Julien Roy <julien <AT> jroy.ca>
dev-python/zope-testrunner/Manifest | 1 +
.../zope-testrunner/zope-testrunner-6.0.ebuild | 53 ++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/dev-python/zope-testrunner/Manifest
b/dev-python/zope-testrunner/Manifest
index 7b70b06d3..ad7027b8b 100644
--- a/dev-python/zope-testrunner/Manifest
+++ b/dev-python/zope-testrunner/Manifest
@@ -1 +1,2 @@
DIST zope-testrunner-5.6.gh.tar.gz 134768 BLAKE2B
2b7a653bc3a35886044b9843f5e5dce4f94da7de79ec6a3be19841943370c48882809460ae40f188ed909d0c57366784cbcf3f6e075bd10f7dec3c98d910d72d
SHA512
bce65e5cd64f7ddbe2b1aad359d084e1b7175ce7186b08ab9b24e3cc745c0b118ce69e4f09e86bf27a420823192b60f9d1a21ac02dd66abfbdd5c10986302b61
+DIST zope.testrunner-6.0.tar.gz 149368 BLAKE2B
6ea443d389ec9b9df92cd2e3808679d292c87e63083572cfde6b9532ef2b81baf47985f24c883fe1ba648dabe4e21e8c8a3b10981b7e4788987b45b5ce880c92
SHA512
d6306e6980f4df93c8149695b363450341ff0ea3b3945edce6512fff116d90c6380b5ab9363541fbe7e81bf0424ac24e624f2044a77a7b55cc87ebf50cfd51d8
diff --git a/dev-python/zope-testrunner/zope-testrunner-6.0.ebuild
b/dev-python/zope-testrunner/zope-testrunner-6.0.ebuild
new file mode 100644
index 000000000..f96dbfd81
--- /dev/null
+++ b/dev-python/zope-testrunner/zope-testrunner-6.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+PYPI_NO_NORMALIZE=1
+PYPI_PN="${PN/-/\.}"
+inherit distutils-r1 pypi
+
+DESCRIPTION="This package provides a flexible test runner with layer support."
+HOMEPAGE="https://github.com/zopefoundation/zope.testrunner"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ dev-python/zope-exceptions[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinxcontrib-programoutput[${PYTHON_USEDEP}] )
+ test? ( dev-python/zope-testing[${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ distutils_write_namespace zope
+ eunittest
+}
+
+python_install() {
+ # Do not install unit tests
+ rm -r "${BUILD_DIR}/install$(python_get_sitedir)/zope/testrunner/tests"
|| die
+ distutils-r1_python_install
+}